<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.Python.PythonCompilationArguments Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_python.html">Python</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_arguments.html">PythonCompilationArguments</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_arguments-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.Python.PythonCompilationArguments Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Contains arguments for the PythonCodeGenerator's compile method  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_arguments.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for xAPI_Definitions_Parser.Code.Python.PythonCompilationArguments:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_arguments__inherit__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_python_8_python_compilation_arguments_inherit__map" alt="Inheritance graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_python_8_python_compilation_arguments_inherit__map" id="ax_a_p_i___definitions___parser_8_code_8_python_8_python_compilation_arguments_inherit__map">
<area shape="rect" title="Contains arguments for the PythonCodeGenerator&#39;s compile method" alt="" coords="5,80,216,136"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html" title="Contains arguments for the CodeGenerator&#39;s compile method" alt="" coords="34,5,187,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for xAPI_Definitions_Parser.Code.Python.PythonCompilationArguments:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_arguments__coll__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_python_8_python_compilation_arguments_coll__map" alt="Collaboration graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_python_8_python_compilation_arguments_coll__map" id="ax_a_p_i___definitions___parser_8_code_8_python_8_python_compilation_arguments_coll__map">
<area shape="rect" title="Contains arguments for the PythonCodeGenerator&#39;s compile method" alt="" coords="5,80,216,136"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html" title="Contains arguments for the CodeGenerator&#39;s compile method" alt="" coords="34,5,187,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae662073aaf3a4bff0f75b3271576d083"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_arguments.html#ae662073aaf3a4bff0f75b3271576d083">PythonCompilationArguments</a> (string dest)</td></tr>
<tr class="separator:ae662073aaf3a4bff0f75b3271576d083"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html">xAPI_Definitions_Parser.Code.CompilationArguments</a></td></tr>
<tr class="memitem:a5316256fb2b796d58b590f4bed2ce6a1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#a5316256fb2b796d58b590f4bed2ce6a1">CompilationArguments</a> (<a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828">CodeLanguage</a> lang, string dest)</td></tr>
<tr class="separator:a5316256fb2b796d58b590f4bed2ce6a1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td colspan="2" onclick="javascript:toggleInherit('properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html">xAPI_Definitions_Parser.Code.CompilationArguments</a></td></tr>
<tr class="memitem:aa837d59443a92deb973950879e3391ad inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828">CodeLanguage</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#aa837d59443a92deb973950879e3391ad">Language</a><code> [get]</code></td></tr>
<tr class="memdesc:aa837d59443a92deb973950879e3391ad inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="mdescLeft">&#160;</td><td class="mdescRight">CodeLanguage of the arguments  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#aa837d59443a92deb973950879e3391ad">More...</a><br /></td></tr>
<tr class="separator:aa837d59443a92deb973950879e3391ad inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24be47576077712b2b960615aa412153 inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#a24be47576077712b2b960615aa412153">Destination</a><code> [get]</code></td></tr>
<tr class="memdesc:a24be47576077712b2b960615aa412153 inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compilation destination location  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#a24be47576077712b2b960615aa412153">More...</a><br /></td></tr>
<tr class="separator:a24be47576077712b2b960615aa412153 inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Contains arguments for the PythonCodeGenerator's compile method </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae662073aaf3a4bff0f75b3271576d083" name="ae662073aaf3a4bff0f75b3271576d083"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae662073aaf3a4bff0f75b3271576d083">&#9670;&nbsp;</a></span>PythonCompilationArguments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.Python.PythonCompilationArguments.PythonCompilationArguments </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dest</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/Python/<a class="el" href="_python_compilation_arguments_8cs.html">PythonCompilationArguments.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
